gnutls_privkey_set_spki(3)

NAME
gnutls_privkey_set_spki - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_set_spki(gnutls_privkey_t privkey, const gnutls_x509_spki_t spki, unsigned int flags);

ARGUMENTS

gnutls_privkey_t privkey
    a public key of type gnutls_privkey_t

const gnutls_x509_spki_t spki
    a SubjectPublicKeyInfo structure of type gnutls_privkey_spki_t

unsigned int flags
    must be zero

DESCRIPTION
This function will set the public key information. The provided spki must be initialized.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/